<Project Sdk="Microsoft.NET.Sdk">
    <PropertyGroup>
        <TargetFramework>net9.0</TargetFramework>
        <Nullable>enable</Nullable>
        <LangVersion>latest</LangVersion>
        <AvaloniaUseCompiledBindingsByDefault>true</AvaloniaUseCompiledBindingsByDefault>
    </PropertyGroup>

    <ItemGroup>
        <AvaloniaResource Include="Assets\**"/>
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Avalonia" Version="11.2.0" />
        <PackageReference Include="Avalonia.ReactiveUI" Version="11.2.0" />
        <PackageReference Include="Avalonia.Themes.Fluent" Version="11.2.0" />
        <PackageReference Include="Avalonia.Fonts.Inter" Version="11.2.0" />
        <!--Condition below is needed to remove Avalonia.Diagnostics package from build output in Release configuration.-->
        <PackageReference Condition="'$(Configuration)' == 'Debug'" Include="Avalonia.Diagnostics" Version="11.2.0" />
        <PackageReference Include="Avalonia.Xaml.Behaviors" Version="11.2.0" />
        <PackageReference Include="CommunityToolkit.Mvvm" Version="8.3.2" />
        <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="8.0.1" />
        <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
        <PackageReference Include="Prise" Version="6.0.0" />
        <PackageReference Include="Prise.Proxy" Version="6.1.0" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\..\Shared\Shared.csproj" />
    </ItemGroup>

    <ItemGroup>
      <Reference Include="Avalonia.Base">
        <HintPath>..\..\..\..\.nuget\packages\avalonia\11.2.0\ref\net8.0\Avalonia.Base.dll</HintPath>
      </Reference>
      <Reference Include="Avalonia.Controls">
        <HintPath>..\..\..\..\.nuget\packages\avalonia\11.2.0\ref\net8.0\Avalonia.Controls.dll</HintPath>
      </Reference>
      <Reference Include="Microsoft.Extensions.DependencyInjection">
        <HintPath>..\..\..\..\.nuget\packages\microsoft.extensions.dependencyinjection\6.0.0\lib\net6.0\Microsoft.Extensions.DependencyInjection.dll</HintPath>
      </Reference>
    </ItemGroup>

    <ItemGroup>
      <Compile Update="Views\MenuItem.axaml.cs">
        <DependentUpon>MenuItem.axaml</DependentUpon>
        <SubType>Code</SubType>
      </Compile>
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Model\" />
    </ItemGroup>
</Project>
